unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, OGLPanel;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Memo2: TMemo;
    OGLPanel1: TOGLPanel;
    OGLPanel2: TOGLPanel;
    procedure OGLWidget1Render(Sender: TObject);
    procedure OGLWidget2Render(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure OnIdle(Sender : TObject; var Done : Boolean);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

uses dglOpenGL;

{$R *.dfm}

procedure TForm1.OGLWidget1Render(Sender: TObject);
begin
  glLoadIdentity();
  glClear(GL_COLOR_BUFFER_BIT);
  glBegin(GL_TRIANGLES);
    glColor3f(1.0,0.0,0.0);
    glVertex3f(-1.0,0.0,0.0);
    glColor3f(0.0,1.0,0.0);
    glVertex3f(1.0,0.0,0.0);
    glColor3f(0.0,0.0,1.0);
    glVertex3f(0.0,1.0,0.0);
  glEnd();
  glFlush();
end;

procedure TForm1.OGLWidget2Render(Sender: TObject);
begin
  glLoadIdentity();
  glClear(GL_COLOR_BUFFER_BIT);
  glBegin(GL_TRIANGLES);
    glColor3f(1.0,0.0,0.0);
    glVertex3f(50.0,50.0,0.0);
    glColor3f(0.0,1.0,0.0);
    glVertex3f(150.0,50.0,0.0);
    glColor3f(0.0,0.0,1.0);
    glVertex3f(100.0,100.0,0.0);
  glEnd();
  glFlush();
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  OGLPanel1.Init();
  OGLPanel2.Init();
  Application.OnIdle := OnIdle;
end;

procedure TForm1.OnIdle(Sender : TObject; var Done : Boolean);
begin
  OGLPanel1.Render();
  OGLPanel2.Render();
end;


end.
